Modify

#23 closed enhancement (fixed)

Cleaner file format for user data

Reported by: wilmer Owned by: jelmer,wilmer,maurits
Priority: major Milestone: 1.2
Component: BitlBee Version:
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

The current file format for the .nicks and .accounts files isn't really great, to say at the least. Especially the .nicks file isn't very extensible, one of the problems is that, if a user has one person in two contact lists (whatever the reason might be), it's pretty much impossible to predict which nick will be that person on which IM connection.

Probably it'll be some XML-like format, or maybe something else?

Attachments (0)

Change History (14)

comment:1 Changed at 2005-11-18T09:50:03Z by wilmer

Version: 0.99

comment:2 Changed at 2005-11-18T10:02:40Z by wilmer

This should be combined with #7 in some way, probably by implementing storage backends.

comment:3 Changed at 2005-11-22T20:11:58Z by toxik

You could try an abstraction layer for a backend ;-) Would give one the ability to extend it for MySQL, PGSQL, text files, w/e - would be espec. nice for f.ex. PHP & other web languages if you'd want to store/remote-control.

Just an idea :-) (Yeah, 0(1) is probably a bit much for just a few contacts, but it's the principle ;-))

comment:4 Changed at 2005-12-11T23:41:42Z by admin

Combine with #8

comment:5 Changed at 2006-03-03T16:00:19Z by Jelmer Vernooij

Owner: set to Jelmer Vernooij
Status: newassigned

There currently is an abstraction layer for the storage. So far we've only got the "old" file format supported but we're working on LDAP support as well (#7) and there have been requests for MySQL/PostgreSQL (#65)

comment:6 Changed at 2006-03-03T16:00:34Z by Jelmer Vernooij

Owner: changed from Jelmer Vernooij to jelmer,wilmer,maurits
Status: assignednew

comment:7 Changed at 2006-03-03T16:09:56Z by Jelmer Vernooij

Some more thoughts:

  • Use the nickname (lowercased) as filename.
  • Integrate the .accounts and .nicks files we have currently?

comment:8 Changed at 2006-03-03T16:13:25Z by wilmer

Same thoughts here. By using the lowercase nick as the filename we can also fix #8, so that's efficient. :-) And indeed, there's no need to keep those two files separated then. Also, the nicks should be per-account. Although I don't know yet what's the best way to save nick information when a user changes/replaces an account.

But the fact that BitlBee can't define separate nicks for a buddy on list A and list B is a problem for some people, so it'd be nice to fix it.

comment:9 Changed at 2006-03-03T16:18:24Z by Jelmer Vernooij

Ok, that makes sense. It'd also be nice to be able to import/export data files using DCC SEND, but I guess that's a different feature request (-:

comment:10 Changed at 2006-03-03T16:19:15Z by wilmer

Yes, that's #30. (-:

comment:11 Changed at 2006-04-01T14:15:11Z by wilmer

Milestone: 1.11.2

comment:12 Changed at 2006-06-16T06:02:09Z by wilmer

Hmm. And now I already implemented it anyway.. :-)

If anyone's interested, see http://code.bitlbee.org/hgweb/wilmer.storage and http://code.bitlbee.org/wilmer/storage-xml/

comment:13 Changed at 2006-10-15T09:47:57Z by wilmer

Resolution: fixed
Status: newclosed

And now it's in the main development branch.

comment:14 Changed at 2006-10-22T13:46:37Z by wilmer

Milestone: 1.21.1

Modify Ticket

Action
as closed The owner will remain jelmer,wilmer,maurits.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.